import request from '@/utils/request'

// 查询订单评价列表
export function listOmsOrderEvaluation(query) {
  return request({
    url: '/model/omsOrderEvaluation/list',
    method: 'get',
    params: query
  })
}

// 查询订单评价详细
export function getOmsOrderEvaluation(id) {
  return request({
    url: '/model/omsOrderEvaluation/' + id,
    method: 'get'
  })
}

// 新增订单评价
export function addOmsOrderEvaluation(data) {
  return request({
    url: '/model/omsOrderEvaluation',
    method: 'post',
    data: data
  })
}

// 修改订单评价
export function updateOmsOrderEvaluation(data) {
  return request({
    url: '/model/omsOrderEvaluation',
    method: 'put',
    data: data
  })
}

// 删除订单评价
export function delOmsOrderEvaluation(id) {
  return request({
    url: '/model/omsOrderEvaluation/' + id,
    method: 'delete'
  })
}

// 导出订单评价
export function exportOmsOrderEvaluation(query) {
  return request({
    url: '/model/omsOrderEvaluation/export',
    method: 'get',
    params: query
  })
}